import QtQuick 2.9
import QtQuick.Controls 2.4
import "./"
import "./components"

Page {
    id: root

    background: Rectangle {
        color: settings.theme("PageBackgroundColor")
    }

    signal pageOpened()
    GameButton {
        id: calenderButton
        text: "calender"
        height: parent.width * 0.2
        anchors {
            left: parent.left
            top: parent.top
            leftMargin: parent.width * 0.5 - width * 0.5
            topMargin: parent.height * 0.3 - height * 0.5
        }
        onClicked: {
            game.calender()
        }
    }

    GameButton {
        id: calculatorButton
        text: "calculator"
        height: parent.width * 0.2
        anchors {
            left: parent.left
            top: parent.top
            leftMargin: parent.width * 0.5 - width * 0.5
            topMargin: parent.height * 0.7 - height * 0.5
        }
        onClicked: {
            game.calculator()
        }
    }
}
